Name:           varconf
Version:        0.6.5
Release:        1%{?dist}
Summary:        Configuration library used by WorldForge clients

Group:          Development/Libraries
License:        LGPL
URL:            http://worldforge.org/dev/eng/libraries/varconf
Source0:        http://dl.sourceforge.net/worldforge/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsigc++20-devel

%description
Varconf is a configuration library intended for all applications. It manages
configuration data in files, command line arguments, and is used by most
WorldForge components.


%package devel
Summary: Development files for varconf library
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release}


%description devel
Development libraries and headers for linking against the varconf library.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

## cleaning up redundant docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%check
make %{?_smp_mflags} check
cd tests ; ./conftest < conf.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS TODO
%{_libdir}/lib%{name}-1.0.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jan 16 2007 Wart <wart at kobold.org> 0.6.5-1
- Update to 0.6.5

* Mon Aug 28 2006 Wart <wart at kobold.org> 0.6.4-4
- Rebuild for Fedora Extras

* Wed Jul 19 2006 Wart <wart at kobold.org> 0.6.4-3
- Add command to %%check to execute tests

* Fri Jul 14 2006 Wart <wart at kobold.org> 0.6.4-2
- Added Requires: pkgconfig to -devel subpackage
- Change license from GPL -> LGPL
- Added missing header to test file
- Use smp_mflags with test suie

* Wed Jun 14 2006 Wart <wart at kobold.org> 0.6.4-1
- Initial spec file for Fedora Extras
